## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NodeSorter Class Reference

This class can sort vectors of nodes according to a select pattern. More...

`#include <NodeSorter.hpp>`

List of all members.

## Public Types

- typedef std::vector<VectorEntry> NodeVectorType
- typedef std::vector<NodeSortKey> NodeSortKeyVectorType
- typedef std::vector<double> NumberResultsCacheVectorType
- typedef std::vector<XObjectPtr> StringResultsCacheVectorType
- typedef std::vector<NumberResultsCacheVectorType> NumberResultsCacheType
- typedef std::vector<StringResultsCacheVectorType> StringResultsCacheType

## Public Methods

- NodeSorter ()
- ~NodeSorter ()
- NodeSortKeyVectorType& getSortKeys ()
- void sort (StylesheetExecutionContext &executionContext, MutableNodeRefList &theList)
    Given a list of nodes, sort each node according to the criteria in the keys. More...

## Friends

- struct NodeSortKeyCompare

## Detailed Description

This class can sort vectors of nodes according to a select pattern.

## Member Typedef Documentation

typedef std::vector< NodeSortKey > NodeSorter::NodeSortKeyVectorType<NodeSortKey>

typedef std::vector< VectorEntry > NodeSorter::NodeVectorType<VectorEntry>

typedef std::vector< NumberResultsCacheVectorType > NodeSorter::NumberResultsCacheType<NumberResultsCacheVectorType>

typedef std::vector< double > NodeSorter::NumberResultsCacheVectorType<double>

typedef std::vector< StringResultsCacheVectorType > NodeSorter::StringResultsCacheType<StringResultsCacheVectorType>

typedef std::vector< XObjectPtr > NodeSorter::StringResultsCacheVectorType<XObjectPtr>

## Constructor & Destructor Documentation

NodeSorter::NodeSorter ( | )`[explicit]`

NodeSorter::~NodeSorter ( | )

## Member Function Documentation

NodeSortKeyVectorType & NodeSorter::getSortKeys ( | )

void NodeSorter::sort ( | StylesheetExecutionContext & executionContext,
| MutableNodeRefList & theList )

  | Given a list of nodes, sort each node according to the criteria in the keys. The list is assumed to be in document order. Parameters:
  executionContext | current execution context
  v | list of Nodes

## Friends And Related Function Documentation

struct NodeSortKeyCompare`[friend]`

The documentation for this class was generated from the following file:

- NodeSorter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.